<?php
$board_sql ="
CREATE TABLE board_$board_id (
  `no` int(10) unsigned NOT NULL auto_increment,
  `clid` varchar(20) default '',
  `survey` smallint(6) NOT NULL default '0',
  `notice` char(1) NOT NULL default '3',
  `rev_order` int(11) NOT NULL default '0',
  `sort` varchar(13) NOT NULL default '1',
  `id_no` int(11) NOT NULL default '0',
  `id_level` smallint(6) NOT NULL default '10',
  `title` varchar(255) default NULL,
  `content` text,
  `ip` varchar(20) default NULL,
  `password` varchar(41) default NULL,
  `name` varchar(20) NOT NULL default '',
  `homepage` varchar(122) default NULL,
  `email` varchar(122) default NULL,
  `file_count` smallint(6) NOT NULL default '0',
  `html` char(1) NOT NULL default '0',
  `insert_img` char(1) NOT NULL default '0',
  `date_time` int(11) NOT NULL default '0',
  `hit` int(11) NOT NULL default '0',
  `favor` int(11) NOT NULL default '0',
  `against` int(11) NOT NULL default '0',
  `comment_count` smallint(6) NOT NULL default '0',
  `trackback_count` smallint(6) NOT NULL default '0',
  `secret_memo` char(1) NOT NULL default '0',
  `link1` varchar(250) default NULL,
  `link2` varchar(250) default NULL,
  `allow_scrap` char(1) NOT NULL default '0',
  `scrap_count` int(11) NOT NULL default '0',
  `scrap_bid` varchar(30) default NULL,
  `scrap_bno` int(11) NOT NULL default '0',
  `scrap_src` varchar(20) default NULL,
  `scrap_clid` varchar(20) default NULL,
  `tag` varchar(250) default NULL,
  `t1` varchar(255) default NULL,
  `t2` varchar(255) default NULL,
  `t3` varchar(255) default NULL,
  `t4` varchar(255) default NULL,
  PRIMARY KEY  (`no`),
  KEY `rev_order` (`clid`),
  KEY `sort` (`sort`,`rev_order`),
  KEY `id_no` (`id_no`),
  KEY `id_level` (`id_level`),
  KEY `date_time` (`date_time`),
  KEY `scrap_count` (`scrap_count`),
  KEY `hit` (`hit`),
  KEY `favor` (`favor`),
  KEY `notice` (`notice`),
  KEY `secret_memo` (`secret_memo`),
  KEY `scrap_bno` (`scrap_bno`),
  KEY `link1` (`link1`)
)  
";

$board_sql2 ="
CREATE TABLE board_$board_id (
  `no` int(10) unsigned NOT NULL auto_increment,
  `clid` varchar(20) default '',
  `survey` smallint(6) NOT NULL default '0',
  `notice` char(1) NOT NULL default '3',
  `rev_order` int(11) NOT NULL default '0',
  `sort` varchar(13) NOT NULL default '1',
  `id_no` int(11) NOT NULL default '0',
  `id_level` smallint(6) NOT NULL default '10',
  `title` varchar(255) default NULL,
  `content` text,
  `ip` varchar(20) default NULL,
  `password` varchar(41) default NULL,
  `name` varchar(20) NOT NULL default '',
  `homepage` varchar(122) default NULL,
  `email` varchar(122) default NULL,
  `file_count` smallint(6) NOT NULL default '0',
  `html` char(1) NOT NULL default '0',
  `insert_img` char(1) NOT NULL default '0',
  `date_time` int(11) NOT NULL default '0',
  `hit` int(11) NOT NULL default '0',
  `favor` int(11) NOT NULL default '0',
  `against` int(11) NOT NULL default '0',
  `comment_count` smallint(6) NOT NULL default '0',
  `trackback_count` smallint(6) NOT NULL default '0',
  `secret_memo` char(1) NOT NULL default '0',
  `link1` varchar(250) default NULL,
  `link2` varchar(250) default NULL,
  `allow_scrap` char(1) NOT NULL default '0',
  `scrap_count` int(11) NOT NULL default '0',
  `scrap_bid` varchar(30) default NULL,
  `scrap_bno` int(11) NOT NULL default '0',
  `scrap_src` varchar(20) default NULL,
  `scrap_clid` varchar(20) default NULL,
  `tag` varchar(250) default NULL,
  `t1` varchar(255) default NULL,
  `t2` varchar(255) default NULL,
  `t3` varchar(255) default NULL,
  `t4` varchar(255) default NULL,
  PRIMARY KEY  (`no`),
  KEY `clid` (`clid`,`sort`,`rev_order`),
  KEY `clid_2` (`clid`,`rev_order`),
  KEY `id_no` (`id_no`),
  KEY `id_level` (`id_level`),
  KEY `date_time` (`date_time`),
  KEY `scrap_count` (`scrap_count`),
  KEY `hit` (`hit`),
  KEY `favor` (`favor`),
  KEY `notice` (`notice`),
  KEY `secret_memo` (`secret_memo`),
  KEY `scrap_bno` (`scrap_bno`),
  KEY `link1` (`link1`)
) 
";

$board_sql3 ="
CREATE TABLE board_$board_id (
  `no` int(10) unsigned NOT NULL auto_increment,
  `clid` varchar(20) default '',
  `survey` smallint(6) NOT NULL default '0',
  `notice` char(1) NOT NULL default '3',
  `rev_order` int(11) NOT NULL default '0',
  `sort` varchar(13) NOT NULL default '1',
  `id_no` int(11) NOT NULL default '0',
  `id_level` smallint(6) NOT NULL default '10',
  `title` varchar(255) default NULL,
  `content` text,
  `ip` varchar(20) default NULL,
  `password` varchar(41) default NULL,
  `name` varchar(20) NOT NULL default '',
  `homepage` varchar(122) default NULL,
  `email` varchar(122) default NULL,
  `file_count` smallint(6) NOT NULL default '0',
  `html` char(1) NOT NULL default '0',
  `insert_img` char(1) NOT NULL default '0',
  `date_time` int(11) NOT NULL default '0',
  `hit` int(11) NOT NULL default '0',
  `favor` int(11) NOT NULL default '0',
  `against` int(11) NOT NULL default '0',
  `comment_count` smallint(6) NOT NULL default '0',
  `trackback_count` smallint(6) NOT NULL default '0',
  `secret_memo` char(1) NOT NULL default '0',
  `link1` varchar(250) default NULL,
  `link2` varchar(250) default NULL,
  `allow_scrap` char(1) NOT NULL default '0',
  `scrap_count` int(11) NOT NULL default '0',
  `scrap_bid` varchar(30) default NULL,
  `scrap_bno` int(11) NOT NULL default '0',
  `scrap_src` varchar(20) default NULL,
  `scrap_clid` varchar(20) default NULL,
  `tag` varchar(250) default NULL,
  `t1` varchar(255) default NULL,
  `t2` varchar(255) default NULL,
  `t3` varchar(255) default NULL,
  `t4` varchar(255) default NULL,
  PRIMARY KEY  (`no`),
  KEY `clid` (`clid`,`sort`,`rev_order`),
  KEY `clid_2` (`clid`,`rev_order`),
  KEY `id_no` (`id_no`),
  KEY `id_level` (`id_level`),
  KEY `date_time` (`date_time`),
  KEY `scrap_count` (`scrap_count`),
  KEY `hit` (`hit`),
  KEY `favor` (`favor`),
  KEY `notice` (`notice`),
  KEY `secret_memo` (`secret_memo`),
  KEY `scrap_bno` (`scrap_bno`),
  KEY `link1` (`link1`)
) 
";


$board_comment_sql ="
CREATE TABLE board_comment_$board_id (
  `no` int(10) unsigned NOT NULL auto_increment,
  `clid` varchar(12) default NULL,
  `url` varchar(122) NOT NULL default '0',
  `bno` int(11) NOT NULL default '0',
  `rev_no` decimal(13,10) NOT NULL default '1.0000000000',
  `parent_no` int(11) NOT NULL default '0',
  `parent` tinyint(4) NOT NULL default '0',
  `ino` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `password` varchar(41) default NULL,
  `content` text NOT NULL,
  `ip` varchar(25) NOT NULL default '',
  `wr_date` int(11) NOT NULL default '0',
  `vote` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`no`),
  KEY `url` (`url`),
  KEY `bno` (`bno`),
  KEY `parent_no` (`parent_no`),
  KEY `rev_no` (`rev_no`)
) 
";

$board_file_sql ="
CREATE TABLE board_file_$board_id (
  `no` int(10) unsigned NOT NULL auto_increment,
  `clid` varchar(12) default NULL,
  `sort` varchar(13) NOT NULL default '0',
  `bno` int(11) NOT NULL default '0',
  `ino` int(11) NOT NULL default '0',
  `dir_fname` varchar(120) default NULL,
  `org_fname` varchar(120) default NULL,
  `fsize` int(11) NOT NULL default '0',
  `ftitle` varchar(200) default NULL,
  `hit` int(11) NOT NULL default '0',
  `wr_date` int(11) NOT NULL default '0',
  `ext` varchar(6) default NULL,
  PRIMARY KEY  (`no`),
  KEY `bno` (`bno`),
  KEY `ino` (`ino`)
) 
";

$board_sort_sql ="
CREATE TABLE board_sort_$board_id (
  `no` int(11) NOT NULL auto_increment,
  `sname` varchar(50) default NULL,
  `count` int(11) NOT NULL default '0',
  `btype` char(1) NOT NULL default 'b',
  PRIMARY KEY  (`no`),
  KEY `sname` (`sname`)
) 

";

?>
